## org.apache.tools.ant.taskdefs
Class Javadoc.PackageName

    java.lang.Object
      org.apache.tools.ant.taskdefs.Javadoc.PackageName

Enclosing class:
  Javadoc

    public static class Javadoc.PackageName

extends java.lang.Object

Used to track info about the packages to be javadoc'd

Constructor Summary
`Javadoc.PackageName()`

Method Summary
`java.lang.String` `getName()` Get the package name.
`void` `setName(java.lang.String name)` Set the name of the package
`java.lang.String` `toString()` Return a string rep for this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Javadoc.PackageName

    public Javadoc.PackageName()

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name of the package

  Parameters:
    `name` - the package name.

### getName

    public java.lang.String getName()

  Get the package name.

  Returns:
    the package's name.

### toString

    public java.lang.String toString()

  Return a string rep for this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the package name.